-- Globals and Global-Locals here

function love.load()
	-- Load images (gloabal assets)
	img_fn = { "bullet", "enemy", "player", "title", "background" }
	imgs = {}
	for _,v in ipairs(img_fn) do
		imgs[v]=love.graphics.newImage( "assets/" .. v .. ".png" )
	end
	
	-- Set filer to nearest
	for _,v in ipairs(imgs) do
		v:setFilter( "nearest", "nearest" )
	end
	
	-- Play music and loop it
	love.audio.setVolume(10)
	music = love.audio.newSource( "assets/music.wav", "stream" )
	music:setLooping(true)
	music:play()
	
	-- load shoot sound
	shoot = love.audio.newSource( "assets/shoot.wav", "static" )
	
	-- Initialize font, and set it
	font = love.graphics.newFont( "assets/font.ttf", 14 * scale )
	love.graphics.setFont(font)
	
	-- define colors (global assets)
	--bgcolor = ( r = 148, g = 191, b = 19 )
	love.graphics.setBackgroundColor( 148, 191, 19 )
	
	-- initial state
	state = "splash"
end

function love.draw()
    --fontcolor
	love.graphics.setColor( 46, 115, 46 )
	-- Insert text here and before the return to normal color
	
	
	-- Return the color to normal
	love.graphics.setColor( 255, 255, 255 )
end

function love.update(dt)

end

function love.keypressed(key)
	if key == "`" then --set to whatever key you want to use
		debug.debug()
	end
	
	if key == "w" then
		love.audio.play(music)
		music:play()
		print ( "w key is pressed" )
	end
end








